summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKent Fredric <kentnl@gentoo.org>2017-03-21 11:41:58 +1300
committerKent Fredric <kentnl@gentoo.org>2017-03-21 11:45:06 +1300
commit976587c93ca46c07ee82053bca9e964acd962604 (patch)
tree79ae311da69fcbbf94a545c30fea69b33b9ed6a7
parentdev-perl/CPAN-Perl-Releases: Bump to version 3.120.0 (diff)
downloadgentoo-976587c93ca46c07ee82053bca9e964acd962604.zip
gentoo-976587c93ca46c07ee82053bca9e964acd962604.tar.gz
gentoo-976587c93ca46c07ee82053bca9e964acd962604.tar.bz2
dev-perl/Net-DNS: Bump to version 1.80.0
Upstream: - Fix installation issues under local::lib - Add UpdateHandler to ::Nameserver for responding to UPDATE packets - Add optionmask to ::Nameserver Package-Manager: Portage-2.3.4, Repoman-2.3.2
-rw-r--r--dev-perl/Net-DNS/Manifest1
-rw-r--r--dev-perl/Net-DNS/Net-DNS-1.80.0.ebuild59
2 files changed, 60 insertions, 0 deletions
diff --git a/dev-perl/Net-DNS/Manifest b/dev-perl/Net-DNS/Manifest
index 48e98a9..15f3728 100644
--- a/dev-perl/Net-DNS/Manifest
+++ b/dev-perl/Net-DNS/Manifest
@@ -1,2 +1,3 @@
DIST Net-DNS-1.04.tar.gz 245064 SHA256 4b9f220304c5722658fbdbe4db31ab77486b5f0aaada78c9d1b528e4b0680965 SHA512 ff32c1bf52e553fcd64f8a0f9fcd30f6eae4e1350c4c5c97da3b745f1713acd75533694ec834e1b1e9bee0a13b7a8ee0c347dfaa36433052f020e41e36829d59 WHIRLPOOL 5c09639ffc7bdaac4625bf9fc592c6109b43ebb7ab0eed29b9bb7cc42d35f155736a9125787adabb3ee47fb2374189b9d940ea6bf626fa8d837cd5be2511ea83
DIST Net-DNS-1.07.tar.gz 256114 SHA256 5f91497f1af9f690153fa05a27a7d73ddada08bed40536fe2d0ac759b7af8492 SHA512 048cf6c4fb5e8c5721f5c43cc6f3f93189854c54745ab569b2537a1765cbbe4c360b484290d3151a0d0875b8e8a63b15a4ec97cda7f723f5b7be0078f903fb9f WHIRLPOOL 17c6ce70591f1f98b5c266b6884527dbdefd9fabb74ad0c451e752b14501bb7ab09a08d3403904fc985f0e6eb0e10a10378e9b544e03386930a7408f94fe4fa9
+DIST Net-DNS-1.08.tar.gz 257625 SHA256 56113a5604d1d47a2e0b35e01f5ac0a2af9e5275b815549d032a46195637c7a1 SHA512 a0af812f8a21599070c01a0623f1472da1fffbdcf19fba2debd9bc9d84e59149d3db216da8b26206ce64d305706d78d0c05bb6a8ced1ed8df27813bd0f94d70f WHIRLPOOL 5b9241e17e728e014786d8846207c83a7551f804f8e513dea8b83dfc2bae2001c92a7df58a9545040efdad001eddf6599f93c0781868ffd23ad8842d004ab170
diff --git a/dev-perl/Net-DNS/Net-DNS-1.80.0.ebuild b/dev-perl/Net-DNS/Net-DNS-1.80.0.ebuild
new file mode 100644
index 00000000..1a196fc
--- /dev/null
+++ b/dev-perl/Net-DNS/Net-DNS-1.80.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=NLNETLABS
+DIST_VERSION=1.08
+DIST_EXAMPLES=( "contrib" "demo" )
+inherit toolchain-funcs perl-module
+
+DESCRIPTION="Perl Net::DNS - Perl DNS Resolver Module"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~x86"
+IUSE="+ipv6 test minimal"
+
+PDEPEND="!minimal? ( >=dev-perl/Net-DNS-SEC-1.10.0 )"
+RDEPEND="
+ >=dev-perl/Digest-HMAC-1.30.0
+ >=virtual/perl-Digest-MD5-2.130.0
+ >=virtual/perl-Digest-SHA-5.230.0
+ >=virtual/perl-File-Spec-0.860.0
+ >=virtual/perl-MIME-Base64-2.110.0
+ >=virtual/perl-Time-Local-1.190.0
+ ipv6? (
+ || (
+ >=virtual/perl-IO-Socket-IP-0.320.0
+ >=dev-perl/IO-Socket-INET6-2.510.0
+ )
+ )
+ !minimal? (
+ >=dev-perl/Digest-BubbleBabble-0.10.0
+ >=dev-perl/Digest-GOST-0.60.0
+ >=dev-perl/Net-LibIDN-0.120.0
+ >=virtual/perl-Scalar-List-Utils-1.250.0
+ )
+"
+DEPEND="${RDEPEND}
+ virtual/perl-ExtUtils-MakeMaker
+ test? (
+ >=virtual/perl-Test-Simple-0.520.0
+ )
+"
+
+src_prepare() {
+ perl-module_src_prepare
+ mydoc="TODO"
+ # --IPv6-tests requires that you have external IPv6 connectivity
+ # as it connects to 2001:7b8:206:1:0:1234:be21:e31e
+ myconf="${myconf} --no-online-tests --no-IPv6-tests"
+}
+
+src_compile() {
+ emake FULL_AR="$(tc-getAR)" OTHERLDFLAGS="${LDFLAGS}"
+}
+src_test() {
+ perl_rm_files t/00-pod.t
+ perl-module_src_test
+}